Page MenuHomeFreeBSD

Update X.org Server to 1.18.4
ClosedPublic

Authored by rezny on Feb 4 2017, 5:25 PM.

Details

Summary

Update of X.org servers to 1.18.4, which includes a clean-up effort,
the return of the misc servers to minimal slave ports, addition of Geode driver
and update of several drivers includinig Intel and Radeon. All Xorg drivers
not updated have had their revisions bumped and patches added as applicable.

Test Plan

CFT done, poudriere 10.3 amd64/i386 11.0 amd64/i386/ppc64 OK

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

rezny updated this revision to Diff 24721.Feb 4 2017, 5:25 PM
rezny retitled this revision from to Update X.org Server to 1.18.4.
rezny updated this object.
rezny edited the test plan for this revision. (Show Details)
rezny added reviewers: x11, swills, feld.
swills edited edge metadata.Feb 7 2017, 11:12 PM

Just a minor nit, this looks fine. I assume the patches are correct, can't really comment/review those. Don't forgot to svn rm the things that are deleted (instead of committing empty files). Looks like great work, thanks for the effort!

Were there any issues from the CFT?

Was an exp-run done?

Mk/bsd.xorg.mk
68 ↗(On Diff #24721)

Please remove this line if it's not needed.

bapt added a subscriber: bapt.Feb 7 2017, 11:24 PM

The CFT as ok for most, the only issue I'm aware of was fixed by upgrading mesa along so would probably be nice to upgrade mesa at the same time

rezny updated this revision to Diff 24885.Feb 8 2017, 5:37 PM
rezny edited edge metadata.

Remove commented line that was an obsolete work-around

Owners edited edge metadata.Feb 8 2017, 5:37 PM
rezny marked an inline comment as done.Feb 8 2017, 5:43 PM

The CFT also identified a build issue caused by adding dri3proto to only some drivers (it seems all drivers check for it during configure if the server was built with it), so dri3proto was added to drivers category. I did another poudriere run as final confirmation building all affected ports (all of xorg and mesa). There has not been an exp-run.

rezny updated this revision to Diff 24994.Feb 11 2017, 3:51 AM
rezny edited edge metadata.

Update the review since xf86-video-amdgpu was just added and any update of xorg-server requires bumping the revision of all drivers.

Owners edited edge metadata.Feb 11 2017, 3:51 AM
swills accepted this revision.Feb 11 2017, 1:01 PM
swills edited edge metadata.

Approved

This revision is now accepted and ready to land.Feb 11 2017, 1:01 PM
This revision was automatically updated to reflect the committed changes.